[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TChildExitReason

Represents reasons that a child process was exited.

## Declaration

Source position: interfacebase.pp line 42

`type TChildExitReason = (`
`cerExit,` |  | Child process was exited normally.
`cerSignal` |  | Child process was terminated by a signal.
`);`

## Description

TChildExitReason is an enumerated type with values that represent reasons a child process was exited. TChildExitReason values are passed as a parameter to TChildExitEvent event handler routines, and used in the TAsyncProcess.HandleProcessTermination method which implements the event handler.

## See also

TChildExitEvent |  | Specifies an event handler signalled when a child process is exited.
TAsyncProcess.HandleProcessTermination |  | Performs actions needed when the process is terminated.